# -*- coding: utf-8 -*-
"""

@author: bgregor
"""

import numpy as np


# Make a 2D array
arr = np.arange(20) # numbers 0 to 19
# change into a 4x5 array
arr = np.reshape(arr,(4,5))
 

# Row 0 as a 1D array
r0 = arr[0,:]
# column 1 as a 1D array
c1 = arr[:,1]

# A subset of the array, returned as a 2D array
small_arr = arr[0:2,2:4]

# BUT THESE ARE JUST VIEWS into arr!
print(small_arr)
print(r0)
print(arr)

# change something...
arr[0,2]=-10

# re-print
print('------------')
print(small_arr)
print(r0)
print(arr)

# To slice into a NEW array copy it:
copy_arr = arr[2:4,:].copy()

